.\" $NetBSD$
.\" Copyright (c) 2001-2003 The Open Group, All Rights Reserved 
.TH "CACOSH" 3P 2003 "IEEE/The Open Group" "POSIX Programmer's Manual"
.\" cacosh 
.SH NAME
cacosh, cacoshf \- complex arc hyperbolic cosine functions
.SH SYNOPSIS
.LP
\fB#include <complex.h>
.br
.sp
double complex cacosh(double complex\fP \fIz\fP\fB);
.br
float complex cacoshf(float complex\fP \fIz\fP\fB);
.br
\fP
.SH DESCRIPTION
.LP
These functions compute the complex arc hyperbolic cosine of
\fIz\fP, with a branch cut at values less than 1 along the
real axis.
.SH RETURN VALUE
.LP
These functions return the complex arc hyperbolic cosine value,
in the range of a half-strip of non-negative values along
the real axis and in the interval [-\fIi\fPpi,\ +\fIi\fPpi] along
the imaginary axis.
.SH ERRORS
.LP
No errors are defined.
.LP
\fIThe following sections are informative.\fP
.SH EXAMPLES
.LP
None.
.SH APPLICATION USAGE
.LP
None.
.SH RATIONALE
.LP
None.
.SH FUTURE DIRECTIONS
.LP
None.
.SH SEE ALSO
.LP
\fIccosh\fP(), the Base Definitions volume of IEEE\ Std\ 1003.1-2001,
\fI<complex.h>\fP
.SH COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form
from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology
-- Portable Operating System Interface (POSIX), The Open Group Base
Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of
Electrical and Electronics Engineers, Inc and The Open Group. In the
event of any discrepancy between this version and the original IEEE and
The Open Group Standard, the original IEEE and The Open Group Standard
is the referee document. The original Standard can be obtained online at
http://www.opengroup.org/unix/online.html .
